@import '_content/RC2K.Presentation.Shared/RC2K.Presentation.Shared.0elpfrahe6.bundle.scp.css';

/* /Layout/AppLoading.razor.rz.scp.css */
.lds-ring[b-8ylegs5smw],
.lds-ring div[b-8ylegs5smw] {
    box-sizing: border-box;
}

.lds-ring[b-8ylegs5smw] {
    display: inline-block;
    position: relative;
    width: 24px;
    height: 24px;
}

.lds-ring div[b-8ylegs5smw] {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 20px;
    height: 20px;
    margin: 2px;
    border: 2px solid currentColor;
    border-radius: 50%;
    animation: lds-ring-b-8ylegs5smw 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: currentColor transparent transparent transparent;
}

.lds-ring div:nth-child(1)[b-8ylegs5smw] {
    animation-delay: -0.45s;
    transform: rotate(90deg);
}

.lds-ring div:nth-child(2)[b-8ylegs5smw] {
    animation-delay: -0.3s;
    transform: rotate(180deg);
}

.lds-ring div:nth-child(3)[b-8ylegs5smw] {
    animation-delay: -0.15s;
    transform: rotate(270deg);
}

@keyframes lds-ring-b-8ylegs5smw {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.app-loading[b-8ylegs5smw] {
    align-items: center;
    display: flex;
    width: 25ch;
}

.app-loading p[b-8ylegs5smw] {
    margin-left: 1ch;
}

.app-loading[data-state="0"] .lds-ring[b-8ylegs5smw] {
    color: var(--mud-palette-warning);
}

.app-loading[data-state="1"] .lds-ring[b-8ylegs5smw] {
    color: var(--mud-palette-success);
}

.app-loading[data-state="-1"] .lds-ring[b-8ylegs5smw] {
    color: var(--mud-palette-error);
}

.app-loading[data-state="1"] .lds-ring div:nth-child(4)[b-8ylegs5smw],
.app-loading[data-state="-1"] .lds-ring div:nth-child(4)[b-8ylegs5smw] {
    animation: none;
    transform: rotate(0deg);
}

.app-loading[data-state="1"] .lds-ring div:nth-child(1)[b-8ylegs5smw],
.app-loading[data-state="-1"] .lds-ring div:nth-child(1)[b-8ylegs5smw] {
    animation: none;
    transform: rotate(90deg);
}

.app-loading[data-state="1"] .lds-ring div:nth-child(2)[b-8ylegs5smw],
.app-loading[data-state="-1"] .lds-ring div:nth-child(2)[b-8ylegs5smw] {
    animation: none;
    transform: rotate(180deg);
}

.app-loading[data-state="1"] .lds-ring div:nth-child(3)[b-8ylegs5smw],
.app-loading[data-state="-1"] .lds-ring div:nth-child(3)[b-8ylegs5smw] {
    animation: none;
    transform: rotate(270deg);
}
/* /Layout/StaticNavMenu.razor.rz.scp.css */
    
nav[b-zco7nhflt4] {
    display: flex;
    background-color: white;
}

.menu-item[b-zco7nhflt4] {
    /*padding: 5px 30px;*/
    display: flex;
    align-items: center;
    position: relative;
    transition: background-color .2s ease;
}

.menu-item:hover[b-zco7nhflt4] {
    /*background-color: lightblue;*/
}

.menu-item > a[b-zco7nhflt4] {
    text-decoration: none;
    color: black;
    line-height: 3em;
}

a[b-zco7nhflt4] {
    text-decoration: none;
    color: cornflowerblue;
}


.menu-item > ul[b-zco7nhflt4] {

    visibility: hidden;
    opacity: 0%;
    list-style-type: none;
    padding: 0;
    padding-top: .5em;
    min-width: calc(100% + 30px); /* wider than parent header */
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    padding-bottom: 5px;
    background-color: var(--gray100);
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    transition: opacity .5s ease;
    box-shadow: 0px 0.9px 2.3px rgb(0 0 0 / 12%),
                0px 2.5px 6.3px rgb(0 0 0 / 15%),
                0px 6px 15.1px rgb(0 0 0 / 21%),
                0px 2px 3px rgb(0 0 0 / 30%);
}

.menu-item > ul > li[b-zco7nhflt4] {
    /*border: solid 1px black;*/
    text-align: center;
    white-space: nowrap;
    background-color: transparent;
}

.menu-item:hover > ul[b-zco7nhflt4] {
    visibility: visible;
    opacity: 100%;
}
